# Uses of Class
org.eclipse.jface.dialogs.AnimatorFactory

Packages that use AnimatorFactory
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.

## Uses of AnimatorFactory in org.eclipse.jface.util

Methods in org.eclipse.jface.util that return AnimatorFactory
Modifier and Type
Method
Description
`static AnimatorFactory`
Policy.`getAnimatorFactory()`
Deprecated, for removal: This API element is subject to removal in a future version.
this is no longer in use as of 3.3
Methods in org.eclipse.jface.util with parameters of type AnimatorFactory
Modifier and Type
Method
Description
`static void`
Policy.`setAnimatorFactory(AnimatorFactory factory)`
Deprecated, for removal: This API element is subject to removal in a future version.
this is no longer in use as of 3.3